Bug 27938 - Update request: kernel-5.10.6-1.mga7
Summary: Update request: kernel-5.10.6-1.mga7
Status: RESOLVED FIXED
Alias: None
Product: Mageia
Classification: Unclassified
Component: Security (show other bugs)
Version: 7
Hardware: All Linux
Priority: High critical
Target Milestone: ---
Assignee: QA Team
QA Contact: Sec team
URL:
Whiteboard: MGA7-64-OK, MGA7-32-OK
Keywords: advisory, validated_update
Depends on: 27937 28050 28063
Blocks:
  Show dependency treegraph
 
Reported: 2020-12-26 22:49 CET by Thomas Backlund
Modified: 2021-01-15 13:32 CET (History)
10 users (show)

See Also:
Source RPM: kernel
CVE:
Status comment:


Attachments

Description Thomas Backlund 2020-12-26 22:49:32 CET
Swtching to 5.10 LTS including various security fixes...
Advisory will follow...

xtables-addons has been updated to 3.13 for kernel 5.10 series...

I still need to fix nvidia-current to work with this,
but others can start testing...

the update for fixing nvidia390 driver to work with 5.10 is tracked in bug 27937

SRPMS:
kernel-5.10.3-1.mga7.src.rpm
kmod-virtualbox-6.1.16-7.mga7.src.rpm
kmod-xtables-addons-3.13-2.mga7.src.rpm
xtables-addons-3.13-1.mga7.src.rpm



i586:
bpftool-5.10.3-1.mga7.i586.rpm
cpupower-5.10.3-1.mga7.i586.rpm
cpupower-devel-5.10.3-1.mga7.i586.rpm
kernel-desktop-5.10.3-1.mga7-1-1.mga7.i586.rpm
kernel-desktop586-5.10.3-1.mga7-1-1.mga7.i586.rpm
kernel-desktop586-devel-5.10.3-1.mga7-1-1.mga7.i586.rpm
kernel-desktop586-devel-latest-5.10.3-1.mga7.i586.rpm
kernel-desktop586-latest-5.10.3-1.mga7.i586.rpm
kernel-desktop-devel-5.10.3-1.mga7-1-1.mga7.i586.rpm
kernel-desktop-devel-latest-5.10.3-1.mga7.i586.rpm
kernel-desktop-latest-5.10.3-1.mga7.i586.rpm
kernel-doc-5.10.3-1.mga7.noarch.rpm
kernel-server-5.10.3-1.mga7-1-1.mga7.i586.rpm
kernel-server-devel-5.10.3-1.mga7-1-1.mga7.i586.rpm
kernel-server-devel-latest-5.10.3-1.mga7.i586.rpm
kernel-server-latest-5.10.3-1.mga7.i586.rpm
kernel-source-5.10.3-1.mga7-1-1.mga7.noarch.rpm
kernel-source-latest-5.10.3-1.mga7.noarch.rpm
kernel-userspace-headers-5.10.3-1.mga7.i586.rpm
perf-5.10.3-1.mga7.i586.rpm

xtables-addons-kernel-5.10.3-desktop-1.mga7-3.13-2.mga7.i586.rpm
xtables-addons-kernel-5.10.3-desktop586-1.mga7-3.13-2.mga7.i586.rpm
xtables-addons-kernel-5.10.3-server-1.mga7-3.13-2.mga7.i586.rpm
xtables-addons-kernel-desktop586-latest-3.13-2.mga7.i586.rpm
xtables-addons-kernel-desktop-latest-3.13-2.mga7.i586.rpm
xtables-addons-kernel-server-latest-3.13-2.mga7.i586.rpm

dkms-xtables-addons-3.13-1.mga7.i586.rpm
iptaccount-3.13-1.mga7.i586.rpm
libaccount0-3.13-1.mga7.i586.rpm
libaccount-devel-3.13-1.mga7.i586.rpm
libbpf0-5.10.3-1.mga7.i586.rpm
libbpf-devel-5.10.3-1.mga7.i586.rpm
xtables-addons-3.13-1.mga7.i586.rpm
xtables-geoip-3.13-1.mga7.noarch.rpm



x86_64:
bpftool-5.10.3-1.mga7.x86_64.rpm
cpupower-5.10.3-1.mga7.x86_64.rpm
cpupower-devel-5.10.3-1.mga7.x86_64.rpm
kernel-desktop-5.10.3-1.mga7-1-1.mga7.x86_64.rpm
kernel-desktop-devel-5.10.3-1.mga7-1-1.mga7.x86_64.rpm
kernel-desktop-devel-latest-5.10.3-1.mga7.x86_64.rpm
kernel-desktop-latest-5.10.3-1.mga7.x86_64.rpm
kernel-doc-5.10.3-1.mga7.noarch.rpm
kernel-server-5.10.3-1.mga7-1-1.mga7.x86_64.rpm
kernel-server-devel-5.10.3-1.mga7-1-1.mga7.x86_64.rpm
kernel-server-devel-latest-5.10.3-1.mga7.x86_64.rpm
kernel-server-latest-5.10.3-1.mga7.x86_64.rpm
kernel-source-5.10.3-1.mga7-1-1.mga7.noarch.rpm
kernel-source-latest-5.10.3-1.mga7.noarch.rpm
kernel-userspace-headers-5.10.3-1.mga7.x86_64.rpm
perf-5.10.3-1.mga7.x86_64.rpm

virtualbox-kernel-5.10.3-desktop-1.mga7-6.1.16-7.mga7.x86_64.rpm
virtualbox-kernel-5.10.3-server-1.mga7-6.1.16-7.mga7.x86_64.rpm
virtualbox-kernel-desktop-latest-6.1.16-7.mga7.x86_64.rpm
virtualbox-kernel-server-latest-6.1.16-7.mga7.x86_64.rpm

xtables-addons-kernel-5.10.3-desktop-1.mga7-3.13-2.mga7.x86_64.rpm
xtables-addons-kernel-5.10.3-server-1.mga7-3.13-2.mga7.x86_64.rpm
xtables-addons-kernel-desktop-latest-3.13-2.mga7.x86_64.rpm
xtables-addons-kernel-server-latest-3.13-2.mga7.x86_64.rpm

dkms-xtables-addons-3.13-1.mga7.x86_64.rpm
iptaccount-3.13-1.mga7.x86_64.rpm
lib64account0-3.13-1.mga7.x86_64.rpm
lib64account-devel-3.13-1.mga7.x86_64.rpm
lib64bpf0-5.10.3-1.mga7.x86_64.rpm
lib64bpf-devel-5.10.3-1.mga7.x86_64.rpm
xtables-addons-3.13-1.mga7.x86_64.rpm
xtables-geoip-3.13-1.mga7.noarch.rpm
Thomas Backlund 2020-12-26 22:50:16 CET

Depends on: (none) => 27937

Comment 1 David Walser 2020-12-26 23:43:48 CET
Just going through our checklist for kernel upgrades:
https://bugs.mageia.org/show_bug.cgi?id=27006#c71

No upstream updates for kernel 5.10 for btrfs-progs or iw yet, and nothing new for the kernel modules set since our last updates of those packages, except for dkms-rtl8192eu, which I'm pushing now.

Do we need to update libseccomp to 2.5.1 for Mageia 7?  Does ldetect-lst need any updates?
Comment 2 Aurelien Oudelet 2020-12-27 14:55:56 CET
(In reply to Thomas Backlund from comment #0)
> Swtching to 5.10 LTS including various security fixes...
> Advisory will follow...
> 
> xtables-addons has been updated to 3.13 for kernel 5.10 series...
> 
> I still need to fix nvidia-current to work with this,
> but others can start testing...
> 
Thomas, nvidia-current-455.45.01-1.mga8.nonfree.src.rpm has all the fix to be run with 5.10 LTS Kernel.
I do think we could update nvidia-current with this packages as the nvidia graphic cards supported in this package are the same than the 430 serie package in M7.

CC: (none) => ouaurelien

Comment 3 Thomas Backlund 2020-12-27 15:17:44 CET
(In reply to Aurelien Oudelet from comment #2)

> 
> Thomas, nvidia-current-455.45.01-1.mga8.nonfree.src.rpm has all the fix to
> be run with 5.10 LTS Kernel.
> I do think we could update nvidia-current with this packages as the nvidia
> graphic cards supported in this package are the same than the 430 serie
> package in M7.

It's not that simple as that is glvnd-only driver, and I wont push the glvnd stack to Mageia 7
Comment 4 Len Lawrence 2020-12-27 22:17:16 CET
mga7, x86_64

nvidia-current was installed at reboot but....
Aorus X5 laptop
Intel Core i7-5700HQ
NVIDIA GM204M [GeForce GTX 965M] driver: nouveau v: kernel]

System runs OK, stress tests, glmark2, stellarium, `perf test', `cpupower -c 3 info`.
Common desktop applications working, NFS shares.
Need to investigate nvidia problem.

CC: (none) => tarazed25

Comment 5 Aurelien Oudelet 2020-12-27 22:26:36 CET
(In reply to Len Lawrence from comment #4)
> mga7, x86_64
> 
> 
> Need to investigate nvidia problem.

NVIDIA-current needs an update to work with new kernel since kernel 5.9 series.
See: https://forums.developer.nvidia.com/t/nvidia-d'river-not-yet-supported-for-linux-kernel-5-9/157263

See: https://forums.developer.nvidia.com/t/download-nvidia-driver-r455-for-linux-kernel-5-9/159776

The latter is the nvidia post on an updated driver.
Comment 6 Len Lawrence 2020-12-27 22:35:07 CET
Thanks for that -> Carrying on from comment 4;
# XFdrake
Too late to run INIT block at /usr/lib64/perl5/vendor_perl/Glib/Object/Introspection.pm line 257.
Ignore the following Glib::Object::Introspection & Gtk3 warnings
Subroutine Gtk3::main redefined at /usr/share/perl5/vendor_perl/Gtk3.pm line 525.
File descriptor 12 (/memfd:pulseaudio (deleted)) leaked on lvm2 invocation. Parent PID 15935: /usr/bin/perl

Hangs instead of recommending reboot.

OK shall look for the update.
Comment 7 Len Lawrence 2020-12-27 22:53:12 CET
Safely back to nouveau.
Comment 8 Len Lawrence 2020-12-28 10:21:52 CET
mga7, x64
Intel Core i7-4790
NVIDIA GM204 [GeForce GTX 970] : Xorg nouveau driver
Mobo: MSI model: Z97-G43

Running Mate for 12 hours.  stress tests OK, glmark2, stellarium.
Common desktop applications run as usual.  NFS shares with fileserver and an NAS drive working.
Comment 9 James Kerr 2020-12-28 16:49:41 CET
on mga7-64  kernel-desktop  plasma

Packages installed cleanly:
- cpupower-5.10.3-1.mga7.x86_64
- kernel-desktop-5.10.3-1.mga7-1-1.mga7.x86_64
- kernel-desktop-devel-5.10.3-1.mga7-1-1.mga7.x86_64
- kernel-desktop-devel-latest-5.10.3-1.mga7.x86_64
- kernel-desktop-latest-5.10.3-1.mga7.x86_64
- kernel-userspace-headers-5.10.3-1.mga7.x86_64
- virtualbox-kernel-5.10.3-desktop-1.mga7-6.1.16-7.mga7.x86_64
- virtualbox-kernel-desktop-latest-6.1.16-7.mga7.x86_64


system re-booted normally:

uname -r
5.10.3-desktop-1.mga7

# dkms status
virtualbox, 6.1.16-4.mga7, 5.10.3-desktop-1.mga7, x86_64: installed 
virtualbox, 6.1.16-4.mga7, 5.10.3-desktop-1.mga7, x86_64: installed-binary from 5.10.3-desktop-1.mga7

no regressions observed

vbox and client launched normally


looks OK for mga7-64 on this system:

Mobo: Dell model: 09WH54 v: UEFI [Legacy]: Dell v: 2.13.1 
CPU: Intel Core i7-6700
Graphics: Intel HD Graphics 530 (Skylake GT2)

CC: (none) => jim

Comment 10 James Kerr 2020-12-28 16:52:43 CET
on mga7-32  in a vbox VM  kernel-desktop586  plasma

packages installed cleanly:
- cpupower-5.10.3-1.mga7.i586
- kernel-desktop586-5.10.3-1.mga7-1-1.mga7.i586
- kernel-desktop586-devel-5.10.3-1.mga7-1-1.mga7.i586
- kernel-desktop586-devel-latest-5.10.3-1.mga7.i586
- kernel-desktop586-latest-5.10.3-1.mga7.i586
- kernel-userspace-headers-5.10.3-1.mga7.i586

VM re-booted normally:

$ uname -r
5.10.3-desktop586-1.mga7

No regressions noted

OK for mga7-32 in a vbox VM
Comment 11 Thomas Andrews 2020-12-29 00:53:48 CET
Dell Inspiron 5100, 32-bit P4, 2GB RAM, Radeon RV200 graphics, old Atheros wifi, Xfce system using the desktop kernel.

Updated cpupower, kernel-desktop, kernel-desktop-latest. No installation issues. Rebooted, tried a few things, no regressions noted. Using it to make this comment.

Looks good on this hardware.

CC: (none) => andrewsfarm

Comment 12 ben mcmonagle 2020-12-29 06:58:36 CET
Mga7 xfce  / linx-7 tablet 32bit UEFI

# lscpu
Architecture:        i686
CPU op-mode(s):      32-bit, 64-bit

Model name:          Intel(R) Atom(TM) CPU  Z3735G @ 1.33GHz

Flags:               fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca 
cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe nx rdtscp lm 
constant_tsc arch_perfmon pebs bts xtopology tsc_reliable nonstop_tsc cpuid 
aperfmperf tsc_known_freq pni pclmulqdq dtes64 monitor ds_cpl vmx est tm2 
ssse3 cx16 xtpr pdcm sse4_1 sse4_2 movbe popcnt tsc_deadline_timer aes 
rdrand lahf_lm 3dnowprefetch epb ibrs ibpb stibp tpr_shadow vnmi flexpriority
 ept vpid tsc_adjust smep erms dtherm ida arat md_clear

# lspcidrake
lpc_ich         : Intel Corporation|Atom Processor Z36xxx/Z37xxx Series Power Control Unit [BRIDGE_ISA] (rev: 0f)
xhci_pci        : Intel Corporation|Atom Processor Z36xxx/Z37xxx, Celeron N2000 Series USB xHCI [SERIAL_USB] (rev: 0f)
Card:Intel 810 and later: Intel Corporation|Atom Processor Z36xxx/Z37xxx Series Graphics & Display [DISPLAY_VGA] (rev: 0f)
mei_txe         : Intel Corporation|Atom Processor Z36xxx/Z37xxx Series Trusted Execution Engine [CRYPT_OTHER] (rev: 0f)
intel_atomisp2_pm: Intel Corporation|Atom Processor Z36xxx/Z37xxx Series Camera ISP [MULTIMEDIA_OTHER] (rev: 0f)
unknown         : Intel Corporation|Atom Processor Z36xxx/Z37xxx Series SoC Transaction Register [BRIDGE_HOST] (rev: 0f)
hub             : Linux 5.3.13-desktop-2.mga7 xhci-hcd|xHCI Host Controller [Hub|Unused|Full speed (or root) hub]
hub             : Unknown Manufacturer|USB2.0 HUB [Hub|Unused|Full speed (or root) hub]
usbhid          : Logitech|USB Optical Mouse [Human Interface Device|Boot Interface Subclass|Mouse]
usbhid          : Logitech|USB Keyboard [Human Interface Device|Boot Interface Subclass|Keyboard]
hub             : Linux 5.3.13-desktop-2.mga7 xhci-hcd|xHCI Host Controller [Hub|Unused|Full speed (or root) hub]
hid_generic     : Logitech USB Keyboard
hid_generic     : Logitech USB Optical Mouse
hid_generic     : Logitech USB Keyboard

$ uname -r
5.7.19-desktop586-3.mga7


# urpmi cpupower kernel-desktop586-latest perf
To satisfy dependencies, the following packages are going to be installed:
  Package                        Version      Release       Arch    
(medium "Core Updates Testing (distrib5)")
  cpupower                       5.10.3       1.mga7        i586    
  kernel-desktop586-5.10.3-1.mg> 1            1.mga7        i586    
  kernel-desktop586-latest       5.10.3       1.mga7        i586    
  perf                           5.10.3       1.mga7        i586    
65MB of additional disk space will be used.
63MB of packages will be retrieved.
Proceed with the installation of the 4 packages? (Y/n) y
.
.
.
Creating: target|kernel|dracut args|basicmodules 
You should restart your computer for kernel-desktop586-5.10.3-1.mga7

				
reboot

$ uname -r
5.10.3-desktop586-1.mga7


wifi at desktop -ok.
wifi -ok
firefox -ok
USB stick detected and file browserr popup
VLC video and audio playback of .mkv file - ok

CC: (none) => westel

Comment 13 PC LX 2020-12-29 10:52:51 CET
This system is using the nvidia-current proprietary driver which does not build.
Will wait for a fix to that and then will test this update.

CC: (none) => mageia

Comment 14 Thomas Andrews 2020-12-29 14:47:17 CET
HP Probook 6550b, i3, 8GB RAM, Intel graphics, Intel wifi, 64-bit Plasma system, using the desktop kernel.

No installation issues. After reboot, checked email with Thunderbird, read the morning newspaper on Firefox, caught up with family on Facebook, played a round of Klondike solitaire, ran a Windows XP guest in Virtualbox. No regressions noted.

Looks good on this hardware, too.
Comment 15 Brian Rockwell 2020-12-30 00:44:41 CET
Physical Hardware - AMD X3-450, Nvidia 730GT - Nvidia 390 driver (updated version installed prior)

# uname -a
Linux linux.local 5.10.3-desktop-1.mga7 #1 SMP Sat Dec 26 18:15:40 UTC 2020 x86_64 x86_64 x86_64 GNU/Linux


The following 3 packages are going to be installed:

- cpupower-5.10.3-1.mga7.x86_64
- kernel-desktop-5.10.3-1.mga7-1-1.mga7.x86_64
- kernel-desktop-latest-5.10.3-1.mga7.x86_64

- added kernel-desktop-devel-latest

Configured XFdrake

----

rebooted

went through the building 390 driver

-----


# lsmod | grep nvidia
nvidia_modeset       1056768  12
nvidia              15831040  532 nvidia_modeset
ipmi_msghandler        69632  2 ipmi_devintf,nvidia


Working as designed.

CC: (none) => brtians1

Comment 16 Thomas Andrews 2020-12-30 00:52:48 CET
i5-2500, 16GB RAM, Intel graphics, wired Internet connection, 64-bit Plasma system.

No installation issues. After reboot, no issues noted. OK on this hardware.
Comment 17 Brian Rockwell 2020-12-30 03:44:14 CET
$ uname -a
Linux localhost 5.10.3-server-1.mga7 #1 SMP Sat Dec 26 19:00:22 UTC 2020 i686 i686 i386 GNU/Linux


---

nvidia nouveau (used to use the old 304 driver).

- first time in months the graphics are clear

Working as designed.
Comment 18 Thomas Andrews 2021-01-01 22:30:24 CET
AMD Phenom II X4, 8GB RAM, AMD HD 8490 graphics, 64-bit Plasma system.

This system has an internal dual-band Atheros-based wifi card, which is normally what is used. However, for purposes of this test, I also installed a rtl8192eu usb dongle, and tested the dkms-rtl8192eu driver with this kernel.

No installation issues. After reboot, it was possible to use Network Manager to establish a wifi connection with either device.

No regressions were noted. Looks OK with this hardware, and with dkms-rtl8192eu.
Comment 19 ben mcmonagle 2021-01-02 01:30:52 CET
real 32 bit hardware, AMD Athlon(tm) XP 2400+

LXDE 

uname -r
5.7.19-desktop-3.mga7

urpmi cpupower kernel-desktop-latest
To satisfy dependencies, the following packages are going to be installed:
  Package                        Version      Release       Arch    
(medium "Core Updates Testing (distrib5)")
  cpupower                       5.10.3       1.mga7        i586    
  kernel-desktop-5.10.3-1.mga7   1            1.mga7        i586    
  kernel-desktop-latest          5.10.3       1.mga7        i586    
63MB of additional disk space will be used.
57MB of packages will be retrieved.
Proceed with the installation of the 3 packages? (Y/n) y

Creating: target|kernel|dracut args|basicmodules 
remove-boot-splash: Format of /boot/initrd-5.10.3-desktop-1.mga7.img not recognized
You should restart your computer for kernel-desktop-5.10.3-1.mga7

~reboot

uname -r
5.10.3-desktop-1.mga7


firefox-ok
usb popup-ok
xine playback .mkv audio & video - ok
Comment 20 ben mcmonagle 2021-01-02 04:39:56 CET
Asus U31SD
LXDE 64 desktop

lscpu:
~
Model name:Intel(R) Core(TM) i5-2410M CPU @ 2.30GHz

lspcidrake:
Card:Intel 810 and later: Intel Corporation|2nd Generation Core Processor Family Integrated Graphics Controller [DISPLAY_VGA] (rev: 09)
~
Card:NVIDIA GeForce 420 to GeForce 630: NVIDIA Corporation|GF119M [GeForce GT 520M] [DISPLAY_VGA] (rev: a1)

uname -r
5.7.19-desktop-1.mga7

# urpmi cpupower kernel-desktop-devel-latest kernel-desktop-latest kernel-userspace-headers
To satisfy dependencies, the following packages are going to be installed:
  Package                        Version      Release       Arch    
(medium "Core Updates Testing (distrib5)")
  cpupower                       5.10.3       1.mga7        x86_64  
  kernel-desktop-5.10.3-1.mga7   1            1.mga7        x86_64  
  kernel-desktop-devel-5.10.3-1> 1            1.mga7        x86_64  
  kernel-desktop-devel-latest    5.10.3       1.mga7        x86_64  
  kernel-desktop-latest          5.10.3       1.mga7        x86_64  
  kernel-userspace-headers       5.10.3       1.mga7        x86_64  
118MB of additional disk space will be used.
76MB of packages will be retrieved.
Proceed with the installation of the 6 packages? (Y/n) y


nvidia390 (390.138-3.mga7.nonfree): Installing module.
......................................
........
Creating: target|kernel|dracut args|basicmodules 
remove-boot-splash: Format of /boot/initrd-5.10.3-desktop-1.mga7.img not recognized
You should restart your computer for kernel-desktop-5.10.3-1.mga7

reboot

uname -r
5.10.3-desktop-1.mga7

#  lsmod | grep video
uvcvideo              114688  0
videobuf2_vmalloc      20480  1 uvcvideo
videobuf2_memops       20480  1 videobuf2_vmalloc
videobuf2_v4l2         32768  1 uvcvideo
videobuf2_common       65536  2 videobuf2_v4l2,uvcvideo
videodev              274432  3 videobuf2_v4l2,uvcvideo,videobuf2_common
mc                     57344  4 videodev,videobuf2_v4l2,uvcvideo,videobuf2_common
usbcore               315392  3 ehci_pci,uvcvideo,ehci_hcd
usb_common             16384  3 usbcore,uvcvideo,ehci_hcd
video                  53248  2 asus_wmi,i915

# lsmod | grep nvidia
nnvidia_drm             28672  1
nvidia_modeset       1056768  3 nvidia_drm
nvidia              15831040  85 nvidia_modeset
ipmi_msghandler        69632  2 ipmi_devintf,nvidia
drm                   593920  6 drm_kms_helper,nvidia_drm,i915,ttm


wifi ok
firefox ok
USB drive detected and popup for options -ok
.mp4 audio and video playback (VLC) ok
Comment 21 ben mcmonagle 2021-01-02 04:41:38 CET
meant to add:

required adding *nodkmsboot* to kernel parameter boot line
Comment 22 William Kenney 2021-01-02 20:34:16 CET
In a Vbox client, M7.1, Gnome, 32-bit

[root@localhost wilcal]# uname -a
Linux localhost 5.7.19-desktop586-3.mga7 #1 SMP Sun Oct 18 15:45:59 UTC 2020 i686 i686 i386 GNU/Linux
[root@localhost wilcal]# urpmi kernel-desktop586-latest
Package kernel-desktop586-latest-5.7.19-3.mga7.i586 is already installed
[root@localhost wilcal]# urpmi cpupower
Package cpupower-5.7.19-3.mga7.i586 is already installed

Boots to a working desktop. Screen resolution is correct. Common apps work.

Install kernel-desktop586-latest cpupower from updates testing

The following 3 packages are going to be installed:

- cpupower-5.10.3-1.mga7.i586
- kernel-desktop586-5.10.3-1.mga7-1-1.mga7.i586
- kernel-desktop586-latest-5.10.3-1.mga7.i586

Reboot system.

[root@localhost wilcal]# uname -a
Linux localhost 5.10.3-desktop586-1.mga7 #1 SMP Sat Dec 26 18:14:59 UTC 2020 i686 i686 i386 GNU/Linux
[root@localhost wilcal]# urpmi kernel-desktop586-latest
Package kernel-desktop586-latest-5.10.3-1.mga7.i586 is already installed
[root@localhost wilcal]# urpmi cpupower
Package cpupower-5.10.3-1.mga7.i586 is already installed

Boots to a working desktop. Screen resolution is correct. Common apps work.

CC: (none) => wilcal.int

Comment 23 William Kenney 2021-01-02 20:34:51 CET
In a Vbox client, M7.1, Plasma, 64-bit

Testing: kernel-desktop-latest cpupower

[root@localhost wilcal]# uname -a
Linux localhost 5.7.19-desktop-3.mga7 #1 SMP Sun Oct 18 15:46:00 UTC 2020 x86_64 x86_64 x86_64 GNU/Linux
[root@localhost wilcal]# urpmi kernel-desktop-latest
Package kernel-desktop-latest-5.7.19-3.mga7.x86_64 is already installed
[root@localhost wilcal]# urpmi cpupower
Package cpupower-5.7.19-3.mga7.x86_64 is already installed

Boots to a working desktop. Screen resolution is correct. Common apps work.

Install kernel-desktop-latest cpupower from updates testing

The following 3 packages are going to be installed:

- cpupower-5.10.3-1.mga7.x86_64
- kernel-desktop-5.10.3-1.mga7-1-1.mga7.x86_64
- kernel-desktop-latest-5.10.3-1.mga7.x86_64

Reboot system.

[root@localhost wilcal]# uname -a
Linux localhost 5.10.3-desktop-1.mga7 #1 SMP Sat Dec 26 18:15:40 UTC 2020 x86_64 x86_64 x86_64 GNU/Linux
[root@localhost wilcal]# urpmi kernel-desktop-latest
Package kernel-desktop-latest-5.10.3-1.mga7.x86_64 is already installed
[root@localhost wilcal]# urpmi cpupower
Package cpupower-5.10.3-1.mga7.x86_64 is already installed

Boots to a working desktop. Screen resolution is correct. Common apps work.
Comment 24 William Kenney 2021-01-02 20:37:19 CET
On real hardware, M8, Plasma, 64-bit

initial status:

kernel-desktop-latest virtualbox
virtualbox-guest-additions virtualbox-kernel-desktop-latest
x11-driver-video-vboxvideo kernel-desktop-devel-latest
cpupower dkms-vboxadditions dkms-virtualbox

        
Mageia-7-Live-Xfce-i586.iso
Runs as a Vbox client. Works just fine. Boots to a working desktop.

install from update_testing:

kernel-desktop-latest
virtualbox-guest-additions virtualbox-kernel-desktop-latest
x11-driver-video-vboxvideo kernel-desktop-devel-latest cpupower

The following 7 packages are going to be installed:

- cpupower-5.10.3-1.mga7.x86_64
- kernel-desktop-5.10.3-1.mga7-1-1.mga7.x86_64
- kernel-desktop-devel-5.10.3-1.mga7-1-1.mga7.x86_64
- kernel-desktop-devel-latest-5.10.3-1.mga7.x86_64
- kernel-desktop-latest-5.10.3-1.mga7.x86_64
- virtualbox-kernel-5.10.3-desktop-1.mga7-6.1.16-7.mga7.x86_64
- virtualbox-kernel-desktop-latest-6.1.16-7.mga7.x86_64

Mageia-7-Live-Xfce-i586.iso
Runs as a Vbox client. Works just fine. Boots to a working desktop.

Mageia-7,1-Plasma-x86_64
Runs as a Vbox client. Works just fine. Boots to a working desktop.

Mageia-8-Plama-x86_64
Runs as a Vbox client. Works just fine. Boots to a working desktop.
Comment 25 Aurelien Oudelet 2021-01-02 20:50:12 CET
Can we also test https://bugs.mageia.org/show_bug.cgi?id=27877 with this Kernel version with M7 please and report back there please?
Do I am the unique one affected by it?
Comment 26 Aurelien Oudelet 2021-01-10 18:58:49 CET
Updated version to latest that are in testing_updates.

Note, an update to nvidia390 driver is in Bug 28050.

No update for nvidia-current ?
I know we won't push nvidia glvnd independent driver for M7, but, if it is not feasible, we can't push 5.10 kernel to M7, or add an errata, or forbid the update with nvidia-current on M7.
I do think it is the last thing that prevent the final switch.

Depends on: (none) => 28050
Summary: Update request: kernel-5.10.3-1.mga7 => Update request: kernel-5.10.6-1.mga7

Comment 27 Aurelien Oudelet 2021-01-10 18:59:19 CET
(In reply to Aurelien Oudelet from comment #25)
> Can we also test https://bugs.mageia.org/show_bug.cgi?id=27877 with this
> Kernel version with M7 please and report back there please?
> Do I am the unique one affected by it?

This is fixed in kernel 5.10.6.
Aurelien Oudelet 2021-01-10 19:00:57 CET

Severity: normal => critical
Priority: Normal => High

Comment 28 Thomas Andrews 2021-01-10 21:10:55 CET
An updated package list would be helpful for those of us who use copy-and-paste with QARepo. 

Even with the "fuzzy version" feature active, QARepo throws this error when using the package list from Comment 0:

virtualbox-kernel-\d*.mga7.x86_64.rpm not found in the remote repository
virtualbox-kernel-\d*.mga7.x86_64.rpm not found in the remote repository
xtables-addons-kernel-\d*.mga7.x86_64.rpm not found in the remote repository
xtables-addons-kernel-\d*.mga7.x86_64.rpm not found in the remote repository
Comment 29 Thomas Backlund 2021-01-10 21:20:02 CET
a new list will come soon-ish,  Aurelien just jumped the gun a bit

I usually updete the info only when I'm satisified the kernel in testing is good enough to so QA know when it's ok to test...

setting feedback until It's ready again

Keywords: (none) => feedback

Comment 30 Thomas Backlund 2021-01-11 21:05:19 CET
So, 5.10.6 fixes up some issues found in earlier 5.10 series and seems to behave nicely even in Cauldron / upcoming Mga8-RC

and as the "hacked nvidia-current" seems to work too, we can start finalizing the move to 5.10 series...

so the rpms to tests are now:

SRPMS:
kernel-5.10.6-1.mga7.src.rpm
kmod-virtualbox-6.1.16-8.mga7.src.rpm
kmod-xtables-addons-3.13-4.mga7.src.rpm
xtables-addons-3.13-1.mga7.src.rpm


i586:
bpftool-5.10.6-1.mga7.i586.rpm
cpupower-5.10.6-1.mga7.i586.rpm
cpupower-devel-5.10.6-1.mga7.i586.rpm
kernel-desktop-5.10.6-1.mga7-1-1.mga7.i586.rpm
kernel-desktop586-5.10.6-1.mga7-1-1.mga7.i586.rpm
kernel-desktop586-devel-5.10.6-1.mga7-1-1.mga7.i586.rpm
kernel-desktop586-devel-latest-5.10.6-1.mga7.i586.rpm
kernel-desktop586-latest-5.10.6-1.mga7.i586.rpm
kernel-desktop-devel-5.10.6-1.mga7-1-1.mga7.i586.rpm
kernel-desktop-devel-latest-5.10.6-1.mga7.i586.rpm
kernel-desktop-latest-5.10.6-1.mga7.i586.rpm
kernel-doc-5.10.6-1.mga7.noarch.rpm
kernel-server-5.10.6-1.mga7-1-1.mga7.i586.rpm
kernel-server-devel-5.10.6-1.mga7-1-1.mga7.i586.rpm
kernel-server-devel-latest-5.10.6-1.mga7.i586.rpm
kernel-server-latest-5.10.6-1.mga7.i586.rpm
kernel-source-5.10.6-1.mga7-1-1.mga7.noarch.rpm
kernel-source-latest-5.10.6-1.mga7.noarch.rpm
kernel-userspace-headers-5.10.6-1.mga7.i586.rpm
perf-5.10.6-1.mga7.i586.rpm

dkms-xtables-addons-3.13-1.mga7.i586.rpm
iptaccount-3.13-1.mga7.i586.rpm
libaccount0-3.13-1.mga7.i586.rpm
libaccount-devel-3.13-1.mga7.i586.rpm
libbpf0-5.10.6-1.mga7.i586.rpm
libbpf-devel-5.10.6-1.mga7.i586.rpm
xtables-addons-3.13-1.mga7.i586.rpm
xtables-addons-kernel-5.10.6-desktop-1.mga7-3.13-4.mga7.i586.rpm
xtables-addons-kernel-5.10.6-desktop586-1.mga7-3.13-4.mga7.i586.rpm
xtables-addons-kernel-5.10.6-server-1.mga7-3.13-4.mga7.i586.rpm
xtables-addons-kernel-desktop586-latest-3.13-4.mga7.i586.rpm
xtables-addons-kernel-desktop-latest-3.13-4.mga7.i586.rpm
xtables-addons-kernel-server-latest-3.13-4.mga7.i586.rpm
xtables-geoip-3.13-1.mga7.noarch.rpm


x86_64:
bpftool-5.10.6-1.mga7.x86_64.rpm
cpupower-5.10.6-1.mga7.x86_64.rpm
cpupower-devel-5.10.6-1.mga7.x86_64.rpm
kernel-desktop-5.10.6-1.mga7-1-1.mga7.x86_64.rpm
kernel-desktop-devel-5.10.6-1.mga7-1-1.mga7.x86_64.rpm
kernel-desktop-devel-latest-5.10.6-1.mga7.x86_64.rpm
kernel-desktop-latest-5.10.6-1.mga7.x86_64.rpm
kernel-doc-5.10.6-1.mga7.noarch.rpm
kernel-server-5.10.6-1.mga7-1-1.mga7.x86_64.rpm
kernel-server-devel-5.10.6-1.mga7-1-1.mga7.x86_64.rpm
kernel-server-devel-latest-5.10.6-1.mga7.x86_64.rpm
kernel-server-latest-5.10.6-1.mga7.x86_64.rpm
kernel-source-5.10.6-1.mga7-1-1.mga7.noarch.rpm
kernel-source-latest-5.10.6-1.mga7.noarch.rpm
kernel-userspace-headers-5.10.6-1.mga7.x86_64.rpm
perf-5.10.6-1.mga7.x86_64.rpm

virtualbox-kernel-5.10.6-desktop-1.mga7-6.1.16-8.mga7.x86_64.rpm
virtualbox-kernel-5.10.6-server-1.mga7-6.1.16-8.mga7.x86_64.rpm
virtualbox-kernel-desktop-latest-6.1.16-8.mga7.x86_64.rpm
virtualbox-kernel-server-latest-6.1.16-8.mga7.x86_64.rpm

dkms-xtables-addons-3.13-1.mga7.x86_64.rpm
iptaccount-3.13-1.mga7.x86_64.rpm
lib64account0-3.13-1.mga7.x86_64.rpm
lib64account-devel-3.13-1.mga7.x86_64.rpm
lib64bpf0-5.10.6-1.mga7.x86_64.rpm
lib64bpf-devel-5.10.6-1.mga7.x86_64.rpm
xtables-addons-3.13-1.mga7.x86_64.rpm
xtables-addons-kernel-5.10.6-desktop-1.mga7-3.13-4.mga7.x86_64.rpm
xtables-addons-kernel-5.10.6-server-1.mga7-3.13-4.mga7.x86_64.rpm
xtables-addons-kernel-desktop-latest-3.13-4.mga7.x86_64.rpm
xtables-addons-kernel-server-latest-3.13-4.mga7.x86_64.rpm
xtables-geoip-3.13-1.mga7.noarch.rpm

Depends on: (none) => 28063
Keywords: feedback => (none)

Comment 31 Brian Rockwell 2021-01-12 05:19:26 CET
Phys Hardware - AMD x3, Nvidia 730GT (390 driver)

1.  Installed Nvidia 390-390-141.1 driver

The following 3 packages are going to be installed:

- dkms-nvidia390-390.141-1.mga7.nonfree.x86_64
- nvidia390-cuda-opencl-390.141-1.mga7.nonfree.x86_64
- x11-driver-video-nvidia390-390.141-1.mga7.nonfree.x86_64

2.  installing Kernel updates

The following 4 packages are going to be installed:

- kernel-desktop-5.10.6-1.mga7-1-1.mga7.x86_64
- kernel-desktop-devel-5.10.6-1.mga7-1-1.mga7.x86_64
- kernel-desktop-devel-latest-5.10.6-1.mga7.x86_64
- kernel-desktop-latest-5.10.6-1.mga7.x86_64


---rebooted---

[brian@linux ~]$ uname -a
Linux linux.local 5.10.6-desktop-1.mga7 #1 SMP Sat Jan 9 20:09:55 UTC 2021 x86_64 x86_64 x86_64 GNU/Linux
[brian@linux ~]$ lsmod | grep nvidia
nvidia_drm             53248  2
nvidia_modeset       1056768  13 nvidia_drm
nvidia              15831040  529 nvidia_modeset
ipmi_msghandler        69632  2 ipmi_devintf,nvidia
drm_kms_helper        262144  1 nvidia_drm
drm                   593920  6 drm_kms_helper,nvidia_drm,ttm
[brian@linux ~]$ 


system seems okay
Comment 32 Morgan Leijström 2021-01-12 10:59:11 CET
OK for me too on 64 bit Mageia, Plasma,  Intel i7-3770, with new nvidia-current per Bug 28063, virtualbox running MSW7 as guest, and CUDA and OpenCL detected (not tried using).

CC: (none) => fri

Comment 33 Len Lawrence 2021-01-12 12:38:23 CET
Kernel: 5.10.6-desktop-1.mga7 x86_64

MSI model: Z97-G43 (MS-7816) v: 3.0
Intel Core i7-4790 type: MT MCP
NVIDIA GM204 [GeForce GTX 970] driver: nvidia v: 460.32.03
OpenGL: renderer: GeForce GTX 970/PCIe/SSE2 v: 4.6.0 NVIDIA 460.32.03
Realtek RTL8111/8168/8411 PCI Express Gigabit Ethernet - driver: r8169

No installation problems but the nvidia card was not detected at reboot.
Tried 'dracut -f' but that had no effect.  Ran drakx11 and on the third reboot the proprietary driver took over.

Most of the commandline options documented in the man pages seem to be unknown.  perf test runs for the user.
$ perf -v
perf version 5.10.6-1.mga7

stress tests run to completion.
glmark2, teapot running in parallel for a while.
glmark2 and glxspheres64 overlapping OK.

Common desktop applications work.  NFS shares available.  LAN remote logins and reverse logins OK.  Installed kstars and ran it without issues.  Sound and video OK for vlc.  vlc plays commercial DVD and Youtube.  Passed an image to GIMP and manipulated it OK.

No problems so far.
Comment 34 James Kerr 2021-01-12 17:13:35 CET
on mga7-64  kernel-desktop  plasma

Packages installed cleanly:
- cpupower-5.10.6-1.mga7.x86_64
- kernel-desktop-5.10.6-1.mga7-1-1.mga7.x86_64
- kernel-desktop-devel-5.10.6-1.mga7-1-1.mga7.x86_64
- kernel-desktop-devel-latest-5.10.6-1.mga7.x86_64
- kernel-desktop-latest-5.10.6-1.mga7.x86_64
- kernel-userspace-headers-5.10.6-1.mga7.x86_64
- virtualbox-kernel-5.10.6-desktop-1.mga7-6.1.16-8.mga7.x86_64
- virtualbox-kernel-desktop-latest-6.1.16-8.mga7.x86_64

system re-booted normally:

uname -r
5.10.6-desktop-1.mga7

# dkms status
virtualbox, 6.1.16-4.mga7, 5.10.6-desktop-1.mga7, x86_64: installed 
virtualbox, 6.1.16-4.mga7, 5.10.6-desktop-1.mga7, x86_64: installed-binary from 5.10.6-desktop-1.mga7

no regressions observed

vbox and client launched normally

looks OK for mga7-64 on this system:

Mobo: Dell model: 09WH54 v: UEFI [Legacy]: Dell v: 2.13.1 
CPU: Intel Core i7-6700
Graphics: Intel HD Graphics 530 (Skylake GT2)
Comment 35 Thomas Andrews 2021-01-12 18:02:01 CET
Same system as Comment 16, looks good here.
Comment 36 Thomas Andrews 2021-01-12 18:58:01 CET
Same system as Comment 11(Dell Inspiron 5100). Still looking good.
Comment 37 Thomas Andrews 2021-01-12 23:00:36 CET
Dell Dimension e520, Core2Quad, 4GB RAM, Radeon HD 8490 graphics, rtl8192cu wifi, 32-bit Plasma system.

No installation issues. After reboot, no regressions noted.
Comment 38 Brian Rockwell 2021-01-13 00:16:46 CET
Phys hardware - x2-3800 nvidia 6150le - nouveau

32bit kernel

The following 3 packages are going to be installed:

- cpupower-5.10.6-1.mga7.i586
- kernel-server-5.10.6-1.mga7-1-1.mga7.i586
- kernel-server-latest-5.10.6-1.mga7.i586


-- rebooted

$ uname -a
Linux localhost 5.10.6-server-1.mga7 #1 SMP Sat Jan 9 21:52:18 UTC 2021 i686 i686 i386 GNU/Linux


Ran the day serving a test Nextcloud instance  no issues
Comment 39 Thomas Andrews 2021-01-13 16:43:12 CET
HP Probook 6550b, i3 M350, 8GB RAM, Intel graphics, Intel wifi, 32-bit Xfce system using the server kernel.

No installation issues. Looks good at reboot. Tried thai and that, no regressions noted.

32-bit server kernel looks good on this hardware.
Comment 40 Aurelien Oudelet 2021-01-14 15:30:57 CET
A suggested adv please?
Comment 41 Thomas Backlund 2021-01-14 15:36:56 CET
Yep, I'll write one today (or tomorrow)
Comment 42 Thomas Backlund 2021-01-15 12:51:05 CET
Advisory added to svn, flushing out

Keywords: (none) => advisory, validated_update
Whiteboard: (none) => MGA7-64-OK, MGA7-32-OK
CC: (none) => sysadmin-bugs

Comment 43 Mageia Robot 2021-01-15 13:32:05 CET
An update for this issue has been pushed to the Mageia Updates repository.

https://advisories.mageia.org/MGASA-2021-0030.html

Resolution: (none) => FIXED
Status: NEW => RESOLVED


Note You need to log in before you can comment on or make changes to this bug.